Skip to content

Experiment List

GET
/pipelines/experiments/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/experiments/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
page_no
integer

The page number from which you want your page search results to be displayed.

page_size
integer

Number of results per page

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successful response containing experiment details

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
nullable
experiment_id
string format: uuid
created_at
string format: date-time
updated_at
string format: date-time
source
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 843,
"name": "experiment-11141628022",
"description": null,
"experiment_id": "26dab7fb-37c2-49fb-97ba-c91922bde1a1",
"created_at": "2024-11-14T10:58:04.228536Z",
"updated_at": "2024-11-14T10:58:04.228604Z",
"source": "pipeline"
}
],
"errors": {},
"message": "Success"
}